.. program:: qvm-clone

:program:`qvm-clone` -- Clones an existing VM by copying all its disk files
===========================================================================

.. warning::

   This page was autogenerated from command-line parser. It shouldn't be 1:1
   conversion, because it would add little value. Please revise it and add
   more descriptive help, which normally won't fit in standard ``--help``
   option.

   After rewrite, please remove this admonition.

Synopsis
--------
:command:`qvm-clone` [*options*] *VMNAME* *NEWVM*

Options
-------

.. option:: --help, -h

    Show this help message and exit

.. option:: --class=CLASS, -C CLASS

    Create VM of different class than source VM. The tool will try to copy as
    much as possible data/metadata from source VM, but some information may be
    impossible to preserve (for example target VM have no matching properties).

.. option:: -P POOL

    Pool to use for the new domain. All volumes besides snapshots volumes are
    imported in to the specified POOL. THIS IS WHAT YOU WANT TO USE NORMALLY.

.. option:: --pool=POOL:VOLUME, -p POOL:VOLUME

    Specify the pool to use for the specific volume

.. option:: --ignore-errors

    Log errors encountered when creating metadata, but continue with clone
    operation. Useful if qvm-appmenus call fails from an AdminVM during clone.

.. option:: --quiet, -q

    Be quiet

.. option:: --verbose, -v

    Increase verbosity

Authors
-------
| Joanna Rutkowska <joanna at invisiblethingslab dot com>
| Rafal Wojtczuk <rafal at invisiblethingslab dot com>
| Marek Marczykowski <marmarek at invisiblethingslab dot com>
| Bahtiar `kalkin-` Gadimov <bahtiar at gadimov dot de> 

| For complete author list see: https://github.com/QubesOS/qubes-core-admin-client.git
